package jp.mosp.payroll.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class CmIncomeTaxDto extends BaseDto {
	
	private static final long	serialVersionUID	= 8625578738653861422L;
	
	// フィールド
	private String				kCode;										// 社員コード
	private Date				incExpectedDate;							// 所得税適用年
	private String				incomeTaxType;								// 課税区分
	private String				adjustmentType;							// 年末調整区分
	private String				selfWidowType;								// 本人寡婦区分
	private String				selfHandicapType;							// 本人障害区分
	private String				selfStudentType;							// 本人学生区分
	private String				spouseIntendType;							// 配偶者区分
	private int					generalDependent;							// 一般扶養親族
	private int					specificDependent;							// 特定扶養親族
	private int					elderlyDependent;							// 老人扶養親族
	private int					liveWithEldRel;							// 同居老親等
	private int					liveWithHandiGe;							// 同居特障一般
	private int					liveWithHandiSp;							// 同居特障特定
	private int					liveWithHandiEl;							// 同居特障老人
	private int					liveWithHandiEr;							// 同居特障老親
	private int					generalHandicap;							// 一般障害者
	private int					specificHandicap;							// 特別障害者
	private int					dependentCount;							// 扶養等の数
																			
	
	/**
	 * コンストラクタ
	 */
	public CmIncomeTaxDto() {
		super();
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public Date getIncExpectedDate() {
		return getDateField(incExpectedDate);
	} // 所得税適用年
	
	public String getIncomeTaxType() {
		return incomeTaxType;
	} // 課税区分
	
	public String getAdjustmentType() {
		return adjustmentType;
	} // 年末調整区分
	
	public String getSelfWidowType() {
		return selfWidowType;
	} // 本人寡婦区分
	
	public String getSelfHandicapType() {
		return selfHandicapType;
	} // 本人障害区分
	
	public String getSelfStudentType() {
		return selfStudentType;
	} // 本人学生区分
	
	public String getSpouseIntendType() {
		return spouseIntendType;
	} // 配偶者区分
	
	public int getGeneralDependent() {
		return generalDependent;
	} // 一般扶養親族
	
	public int getSpecificDependent() {
		return specificDependent;
	} // 特定扶養親族
	
	public int getElderlyDependent() {
		return elderlyDependent;
	} // 老人扶養親族
	
	public int getLiveWithEldRel() {
		return liveWithEldRel;
	} // 同居老親等
	
	public int getLiveWithHandiGe() {
		return liveWithHandiGe;
	} // 同居特障一般
	
	public int getLiveWithHandiSp() {
		return liveWithHandiSp;
	} // 同居特障特定
	
	public int getLiveWithHandiEl() {
		return liveWithHandiEl;
	} // 同居特障老人
	
	public int getLiveWithHandiEr() {
		return liveWithHandiEr;
	} // 同居特障老親
	
	public int getGeneralHandicap() {
		return generalHandicap;
	} // 一般障害者
	
	public int getSpecificHandicap() {
		return specificHandicap;
	} // 特別障害者
	
	public int getDependentCount() {
		return dependentCount;
	} // 扶養等の数
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setIncExpectedDate(Date incExpectedDate) {
		this.incExpectedDate = getDateField(incExpectedDate);
	} // 所得税適用年
	
	public void setIncomeTaxType(String incomeTaxType) {
		this.incomeTaxType = incomeTaxType;
	} // 課税区分
	
	public void setAdjustmentType(String adjustmentType) {
		this.adjustmentType = adjustmentType;
	} // 年末調整区分
	
	public void setSelfWidowType(String selfWidowType) {
		this.selfWidowType = selfWidowType;
	} // 本人寡婦区分
	
	public void setSelfHandicapType(String selfHandicapType) {
		this.selfHandicapType = selfHandicapType;
	} // 本人障害区分
	
	public void setSelfStudentType(String selfStudentType) {
		this.selfStudentType = selfStudentType;
	} // 本人学生区分
	
	public void setSpouseIntendType(String spouseIntendType) {
		this.spouseIntendType = spouseIntendType;
	} // 配偶者区分
	
	public void setGeneralDependent(int generalDependent) {
		this.generalDependent = generalDependent;
	} // 一般扶養親族
	
	public void setSpecificDependent(int specificDependent) {
		this.specificDependent = specificDependent;
	} // 特定扶養親族
	
	public void setElderlyDependent(int elderlyDependent) {
		this.elderlyDependent = elderlyDependent;
	} // 老人扶養親族
	
	public void setLiveWithEldRel(int liveWithEldRel) {
		this.liveWithEldRel = liveWithEldRel;
	} // 同居老親等
	
	public void setLiveWithHandiGe(int liveWithHandiGe) {
		this.liveWithHandiGe = liveWithHandiGe;
	} // 同居特障一般
	
	public void setLiveWithHandiSp(int liveWithHandiSp) {
		this.liveWithHandiSp = liveWithHandiSp;
	} // 同居特障特定
	
	public void setLiveWithHandiEl(int liveWithHandiEl) {
		this.liveWithHandiEl = liveWithHandiEl;
	} // 同居特障老人
	
	public void setLiveWithHandiEr(int liveWithHandiEr) {
		this.liveWithHandiEr = liveWithHandiEr;
	} // 同居特障老親
	
	public void setGeneralHandicap(int generalHandicap) {
		this.generalHandicap = generalHandicap;
	} // 一般障害者
	
	public void setSpecificHandicap(int specificHandicap) {
		this.specificHandicap = specificHandicap;
	} // 特別障害者
	
	public void setDependentCount(int dependentCount) {
		this.dependentCount = dependentCount;
	} // 扶養等の数
	
}
